Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface JMSSessionPoolMBean

public interface JMSSessionPoolMBean
extends ConfigurationMBean, JMSConstants

This class represents a JMS session pool, a server-managed pool of server sessions that enables an application to process messages concurrently.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static long` | `CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Fields inherited from class weblogic.management.configuration.JMSConstants
`ACKNOWLEDGE_ALL, ACKNOWLEDGE_MODE_AUTO, ACKNOWLEDGE_MODE_CLIENT, ACKNOWLEDGE_MODE_DUPS_OK, ACKNOWLEDGE_MODE_NONE, ACKNOWLEDGE_ONE, ACKNOWLEDGE_PREVIOUS, DESTINATION_TYPE_QUEUE, DESTINATION_TYPE_TOPIC, DISCARD, ENABLED_DEFAULT, ENABLED_FALSE, ENABLED_TRUE, ERRORDESTINATION, FIFO, KEEP_NEW, KEEP_OLD, KEY_DIRECTION_ASCENDING, KEY_DIRECTION_DESCENDING, KEY_TYPE_BOOLEAN, KEY_TYPE_BYTE, KEY_TYPE_DOUBLE, KEY_TYPE_FLOAT, KEY_TYPE_INT, KEY_TYPE_LONG, KEY_TYPE_SHORT, KEY_TYPE_STRING, LOGGING, NO_DELIVERY, NON_PERSISTENT, PERSISTENT, PREEMPTIVE, PRIORITY_DEFAULT, PRIORITY_MAXIMUM, PRIORITY_MINIMUM, RANDOM, ROUND_ROBIN, SEND_QUOTA_BLOCKING_TIMEOUT, STORE_ENABLED_DEFAULT, STORE_ENABLED_FALSE, STORE_ENABLED_TRUE, STORE_TYPE_FILE, STORE_TYPE_JDBC, SYNCWRITE_CACHEFLUSH, SYNCWRITE_DIRECTWRITE, SYNCWRITE_DISABLED, TRANSACTION_MODE_51, TRANSACTION_MODE_NONE, TRANSACTION_MODE_XA`

Method Summary
`boolean` | `addConnectionConsumer(JMSConnectionConsumerMBean connectionConsumer)` Add a connection consumer to the session pool.
`java.lang.String` | `getAcknowledgeMode()` The acknowledge mode used by non-transacted sessions within the session pool.
`JMSConnectionConsumerMBean[]` | `getConnectionConsumers()` Return a read-only array of the connection consumers of the session pool.
`java.lang.String` | `getConnectionFactory()` The JNDI name of the connection factory for the session pool.
`java.lang.String` | `getListenerClass()` The name of the listener class for the session pool, which is used to receive and process messages concurrently.
`int` | `getSessionsMaximum()` The maximum number of concurrent sessions allowed for the session pool.
`boolean` | `isTransacted()` Indicates whether or not the session pool creates transacted sessions.
`boolean` | `removeConnectionConsumer(JMSConnectionConsumerMBean connectionConsumer)` Remove a connection consumer from the session pool.
`void` | `setAcknowledgeMode(java.lang.String acknowledgeMode)` The acknowledge mode used by non-transacted sessions within the session pool.
`void` | `setConnectionConsumers(JMSConnectionConsumerMBean[] consumers)` Set all connection consumers in this session pool.
`void` | `setConnectionFactory(java.lang.String connectionFactory)` The JNDI name of the connection factory for the session pool.
`void` | `setListenerClass(java.lang.String name)` The name of the listener class for the session pool, which is used to receive and process messages concurrently.
`void` | `setSessionsMaximum(int maxSessions)` The maximum number of concurrent sessions allowed for the session pool.
`void` | `setTransacted(boolean transacted)` Specifies whether or not the session pool creates transacted sessions.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

Method Detail

### getConnectionConsumers

    public JMSConnectionConsumerMBean[] getConnectionConsumers()

  Return a read-only array of the connection consumers of the session pool.

  A non-configurable MBean attribute.
  Returns:
    The connectionConsumers value

### setConnectionConsumers

    public void setConnectionConsumers(JMSConnectionConsumerMBean[] consumers)
                                throws javax.management.InvalidAttributeValueException

  Set all connection consumers in this session pool.

  A dynamic MBean attribute
  Parameters:
    `consumers` - The new connectionConsumers value
  Throws:
    javax.management.InvalidAttributeValueException -

### addConnectionConsumer

    public boolean addConnectionConsumer(JMSConnectionConsumerMBean connectionConsumer)
                                  throws javax.management.InvalidAttributeValueException,
                                         DistributedManagementException

  Add a connection consumer to the session pool.

  A dynamic MBean attribute
  Parameters:
    `connectionConsumer` - a reference to JMSConnectionConsumerMBean
  Returns:
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### removeConnectionConsumer

    public boolean removeConnectionConsumer(JMSConnectionConsumerMBean connectionConsumer)
                                     throws javax.management.InvalidAttributeValueException,
                                            DistributedManagementException

  Remove a connection consumer from the session pool.

  A dynamic MBean attribute
  Parameters:
    `connectionConsumer` - a reference to JMSConnectionConsumerMBean
  Returns:
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -
    java.lang.IllegalArgumentException - if the ConnectionConsumer does not exist.

### getConnectionFactory

    public java.lang.String getConnectionFactory()

  The JNDI name of the connection factory for the session pool.

  Returns:
    The connectionFactory value

### setConnectionFactory

    public void setConnectionFactory(java.lang.String connectionFactory)
                              throws javax.management.InvalidAttributeValueException

  The JNDI name of the connection factory for the session pool.

  Default Value: null
  Parameters:
    `connectionFactory` - The new connectionFactory value
  Throws:
    javax.management.InvalidAttributeValueException -

### getListenerClass

    public java.lang.String getListenerClass()

  The name of the listener class for the session pool, which is used to receive and process messages concurrently.

  Returns:
    The listenerClass value

### setListenerClass

    public void setListenerClass(java.lang.String name)
                          throws javax.management.InvalidAttributeValueException

  The name of the listener class for the session pool, which is used to receive and process messages concurrently.

  Legal Value: value != void && value.trim().length() != 0
  Legal NULL: false
  Parameters:
    `name` - The new listenerClass value
  Throws:
    javax.management.InvalidAttributeValueException -

### getAcknowledgeMode

    public java.lang.String getAcknowledgeMode()

  The acknowledge mode used by non-transacted sessions within the session pool.

  For transacted sessions, messages are acknowledged automatically when the session is committed and this field is ignored.

  This attribute is not dynamically configurable.

  Returns:
    The acknowledgeMode value

### setAcknowledgeMode

    public void setAcknowledgeMode(java.lang.String acknowledgeMode)
                            throws javax.management.InvalidAttributeValueException

  The acknowledge mode used by non-transacted sessions within the session pool.

  For transacted sessions, messages are acknowledged automatically when the session is committed and this field is ignored.

  This attribute is not dynamically configurable.

  Default Value: ACKNOWLEDGE_MODE_AUTO
  Legal Values: ACKNOWLEDGE_MODE_AUTO, ACKNOWLEDGE_MODE_CLIENT, ACKNOWLEDGE_MODE_DUPS_OK, ACKNOWLEDGE_MODE_NONE
  Parameters:
    `acknowledgeMode` - The new acknowledgeMode value
  Throws:
    javax.management.InvalidAttributeValueException -

### getSessionsMaximum

    public int getSessionsMaximum()

  The maximum number of concurrent sessions allowed for the session pool.

  A value of -1 indicates that there is no maximum.

  This attribute is dynamically configurable; however, it does not take effect until the session pool is restarted.

  Returns:
    The sessionsMaximum value

### setSessionsMaximum

    public void setSessionsMaximum(int maxSessions)
                            throws javax.management.InvalidAttributeValueException,
                                   DistributedManagementException

  The maximum number of concurrent sessions allowed for the session pool.

  A value of -1 indicates that there is no maximum.

  This attribute is dynamically configurable; however, it does not take effect until the session pool is restarted.

  A dynamic MBean attribute
  Default Value: -1
  Legal Value: ((value == -1) || (value >= 1))
  Legal Minimum Value: -1
  Legal Maximum Value: java.lang.Long.MAX_VALUE
  Parameters:
    `maxSessions` - The new sessionsMaximum value
  Throws:
    javax.management.InvalidAttributeValueException -
    DistributedManagementException -

### isTransacted

    public boolean isTransacted()

  Indicates whether or not the session pool creates transacted sessions.

  This attribute is not dynamically configurable.

  Returns:
    The transacted value

### setTransacted

    public void setTransacted(boolean transacted)
                       throws javax.management.InvalidAttributeValueException

  Specifies whether or not the session pool creates transacted sessions.

  This attribute is not dynamically configurable.

  Default Value: false
  Parameters:
    `transacted` - The new transacted value
  Throws:
    javax.management.InvalidAttributeValueException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD